Subject: Re: bug#36286: 26.2.90; auth-source-creation-prompts has not effect?

From: Noam Postavsky <[email-masked]>
Date: Thu, 20 Jun 2019 11:08:59 -0400

Xu Chunyang <[email-masked]> writes:

> C-h f auth-source-search provides this example:
>
>   (let ((auth-source-creation-defaults '((user . "defaultUser")
>                                           (A    . "default A")))
>          (auth-source-creation-prompts
>           '((password . "Enter IMAP password for %h:%p: "))))
>     (auth-source-search :host '("nonesuch" "twosuch") :type 'netrc :max 1
>                         :P "pppp" :Q "qqqq"
>                         :create '(A B Q)))
>
> however I don't see any "Enter IMAP password ..." when I run the
> example

Seems to works if I replace `password' with `secret'.

> with C-x C-e, instead I see these prompts:
>
>   [any port] user name for nonesuch [defaultUser]:
>   [any port] password for defaultUser@nonesuch:
>   Enter A (defaultUser@nonesuch:[any port]) [default A]: 
>
> What format auth-source-creation-prompts should be? Its docstring
> doesn't say.

It does actually mention secret in the paragraph above that example:

     If the user, host, or port are missing, the alist
    ‘auth-source-creation-prompts’ will be used to look up the
    prompts IN THAT ORDER (so the ‘user’ prompt will be queried first,
    then ‘host’, then ‘port’, and finally ‘secret’).

But having a broken example doesn't help.